OFS2RVA(1)

NAME
ofs2rva - converts a PE raw file offset to relative virtual address

SYNOPSIS
ofs2rva offset pefile

DESCRIPTION
ofs2rva converts a raw file offset to RVA (Relative Virtual Address), if it's valid. It's part of pev, the PE file analysis toolkit.

offset is a valid PE file offset in decimal or hexadecimal (prefixed with 0x).

pefile is a PE32/PE32+ executable or dynamic linked library file.

OPTIONS

-V, --version
    show program version and exit.

--help
    show help.

EXAMPLES
Get RVA of 0x1b9b8 offset of calc.exe:

    $ ofs2rva 0x1b9b8 calc.exe

REPORTING BUGS
Please, check the latest development code and report at https://github.com/merces/pev/issues

COPYRIGHT
Copyright © 2017 pev authors. License GPLv2+: GNU GPL version 2 or later <https://www.gnu.org/licenses/gpl-2.0.txt>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
rva2ofs(1)